List views for object
curl --request GET \
--url https://api.attio.com/v2/objects/{object}/views \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/objects/{object}/views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/objects/{object}/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"view_id": "cf7aaeb5-7507-4a84-9c26-9d36e34d7b70"
},
"title": "All people",
"created_at": "2022-11-21T13:22:49.061281000Z"
}
],
"pagination": {
"next_cursor": "<string>"
}
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Object with slug/ID \"people\" not found."
}Objects
List views for object
Lists saved views for an object. Results are ordered by view ID (id.view_id ascending).
Required scopes: object_configuration:read.
GET
/
v2
/
objects
/
{object}
/
views
List views for object
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Path Parameters
A UUID or slug to identify the object.
Example:
"people"
Query Parameters
true to include archived views. See our archiving guide for more information on archiving.
Example:
false
The maximum number of views to return. Must be between 1 and 1000. Defaults to 500.
Required range:
1 <= x <= 1000Example:
500
A pagination cursor from a previous response's pagination.next_cursor. Omit for the first page.
Example:
"eyJkZXNjcmlwdGlvbiI6ICJ0aGlzIGlzIGEgY3Vyc29yIn0=.eM56CGbqZ6G1NHiJchTIkH4vKDr"
Was this page helpful?
⌘I